# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/API/ps.ipynb.

# %% auto 0
__all__ = ['amp_disp']

# %% ../nbs/API/ps.ipynb 4
import cupy as cp
import numpy as np
from typing import Union
import math

# %% ../nbs/API/ps.ipynb 5
def amp_disp(rslc:Union[cp.ndarray,np.ndarray], # rslc stack
            )-> Union[cp.ndarray,np.ndarray]: # dispersion index
    '''calculation the amplitude dispersion index from SLC stack.'''
    xp = cp.get_array_module(rslc)
    rmli = xp.abs(rslc)
    mean = xp.nanmean(rmli,axis=2)
    std = xp.nanstd(rmli,axis=2)
    return std/mean
